Subject: LIBPQ under MS/Windows.

From: [email-masked]
Date: Thu, 21 Oct 93 00:31:17 EDT

----------------------- Mail item text follows ---------------

I would like to know if anyone is working on getting LIBPQ running
under Microsoft Windows?  Or is it available already?
I've started working with it somewhat, basically because I want to
learn how to use Windows Sockets and program in Windows.
I'd rather not re-invent the wheel though.
Let me know!  Or if you would like it, let me know as well, though I
am not promising anything!  I don't have a lot of time to code so I'm
kind of rusty.. may not ever get it to work..
What I had in mind was something like this:
   * Uses Windows Sockets DLL   (would work with PD VxDTCP and Trumpet)
   * Implemented as a DLL (LIBPQ.DLL or some such)
        LIBPQ.DLL handles all communication with WINSOCK.DLL
        Supports multiple clients accessing DLL and WINSOCK
   * Works just like standard LIBPQ, i.e. no enhancements.
        (though the return data in linked-lists sounds cool!)

Well, it's late, can't really think of anything else.  While Windows isn't
ideal, I think it would allow some pretty slick end-user tools that query
backend Postgres servers on other BIG boxes.  (and it'd be FREE! :-)

Anyway, give me some feedback, flame me, tell me where to FTP it, etc..
Thanks!!

-Andrew   ([email-masked] if you want to e-mail)

===============================================================
Andrew Gillham ([email-masked])
NAIS Local Area Computing
(616) 923-3149